body.transition-theme, body.transition-theme *, body.transition-theme *:before, body.transition-theme *:after {
    transition: 400ms cubic-bezier(0.995, -0.265, 0.855, 0.505) !important;
    transition-delay: 0 !important;
}

body[data-theme=dark] {
    background-color: #121212;
}

body[data-theme=dark] .monitor-header h2 {
    color: #e1e1e1;
}

body[data-theme=dark] .monitor-header h2 span {
    color: #a6a6a6;
}

body[data-theme=dark] .monitor-info-container {
    background-color: #1e1e1e;
    color: #e1e1e1;
    border: 1px solid rgba(255, 255, 255, .1);
    box-shadow: 0 2px 10px rgba(255, 255, 255, .1);
}

body[data-theme=dark] .monitor-info-container .monitor-state-text {
    color: #959595;
}

body[data-theme=dark] .corner {
    background-color: #161616;
    border: 1px solid rgba(255, 255, 255, .15);
}

body[data-theme=dark] .corner.good {
    background-color: #46973d;
}

body[data-theme=dark] .corner.warning {
    background-color: #fa9c10;
}

body[data-theme=dark] .corner.danger {
    background-color: #940d0e;
}

body[data-theme=dark] .corner:hover {
    background-color: #2b2b2b;
}

body[data-theme=dark] .monitor-state-dot {
    background: #46973d;
}

body[data-theme=dark] .monitor-state-dot.warning {
    color: #faa11a;
    background: #faa11a;
}

body[data-theme=dark] .monitor-state-dot:after {
    background: #46973d;
}

body[data-theme=dark] .sub-content {
    color: #f2f2f2;
    background-color: #092f52;
    border: 1px solid rgba(255, 255, 255, .1);
    position: relative;
    z-index: 10;
}

body[data-theme=dark] .sub-content::after {
    content: "";
    width: 0;
    height: 0;
    display: block;
    position: absolute;
    z-index: 10;
    border: 0;
    border-left: .5em solid transparent;
    border-right: .5em solid transparent;
    margin-left: -0.5em;
    left: 50%;
    border-top: .5em solid #092f52;
    bottom: -0.5em;
}

@media (max-width: 900px) {
    body[data-theme=dark] .sub-content {
        position: relative;
        z-index: 10;
    }

    body[data-theme=dark] .sub-content::after {
        content: "";
        width: 0;
        height: 0;
        display: block;
        position: absolute;
        z-index: 10;
        border: 0;
        border-left: .5em solid transparent;
        border-right: .5em solid transparent;
        margin-left: -0.5em;
        left: 50%;
        border-bottom: .5em solid #092f52;
        top: -0.5em;
    }
}

body[data-theme=dark] .service-mobile-toggle.smt-active ul li:nth-child(2) {
    background-color: #124b8c;
}

footer {
    background-color: #2f2f2f;
    color: #f2f2f2;
    font-size: 14px;
    bottom: 0;
    position: fixed;
    z-index: 999999;
    width: 100%;
}

footer .footer-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    padding: 1rem;
}

footer .footer-container p {
    width: 100%;
    margin-top: 1rem;
}

footer .footer-container a {
    color: #f2f2f2;
}

footer .footer-container div {
    width: 100%;
}

.adsense {
    padding-bottom: 60px;
}

#back-to-top {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ff9800;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    position: fixed;
    bottom: 20px;
    right: 30px;
    transition: background-color .3s, opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    z-index: 9999999;
}

#back-to-top:after {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "";
    font-size: 2.2em;
    color: #fff;
}

#back-to-top:hover {
    cursor: pointer;
    background-color: #cc7a00;
}

#back-to-top:active {
    background-color: #cc7a00;
}

#back-to-top.show {
    opacity: 1;
    visibility: visible;
}

@media (max-width: 500px) {
    #back-to-top {
        background-color: #975fe4;
    }

    #back-to-top:hover, #back-to-top:active {
        background-color: #7b33dd;
    }
}

@media (max-width: 500px) {
    .sidebar-container {
        display: none;
    }
}

.sidebar-container ul {
    position: fixed;
    top: 50%;
    list-style: none;
    display: flex;
    flex-direction: column;
    transform: translateY(-50%);
    z-index: 10;
    align-items: flex-end;
    right: 0;
}

.sidebar-container ul li + li {
    margin-top: 1.5em;
}

.sidebar-container ul li {
    position: relative;
    display: flex;
    align-items: center;
    padding: .4em 0 .4em 0;
    color: #f2f2f2;
    cursor: pointer;
    height: 2em;
    box-shadow: 0 2px 3px -1px rgba(47, 47, 47, .2);
    width: 35px;
    border-radius: .5em 0 0 .5em;
    border: 1px solid rgba(255, 255, 255, .2);
}

@media (min-width: 1400px) {
    .sidebar-container ul li {
        height: 2.6em;
        width: 45px;
    }
}

.sidebar-container ul li:first-child {
    background-color: #fbb142;
}

.sidebar-container ul li:nth-child(2) {
    background-color: #124b8c;
}

.sidebar-container ul li:nth-child(3) {
    background-color: #2f2f2f;
}

.sidebar-container ul li:last-child {
    background-color: #555;
}

.sidebar-container ul li i.fas {
    font-size: 1em;
    width: 36px;
    text-align: center;
    position: relative;
    top: .04em;
}

.sidebar-container ul li .fas.fa-sun {
    font-size: 1.3em;
}

@media (min-width: 1400px) {
    .sidebar-container ul li .fas.fa-sun {
        font-size: 1.6em;
    }
}

.sidebar-container ul li .fas.fa-moon {
    font-size: 1.2em;
}

@media (min-width: 1400px) {
    .sidebar-container ul li .fas.fa-moon {
        font-size: 1.5em;
    }
}

@media (min-width: 1400px) {
    .sidebar-container ul li .fas.fa-th {
        font-size: 1.45em;
    }
}

.sidebar-container ul li .fas.fa-list-ul {
    font-size: 1.15em;
}

@media (min-width: 1400px) {
    .sidebar-container ul li .fas.fa-list-ul {
        font-size: 1.5em;
    }
}

.sidebar-container ul li span {
    font-size: 1em;
    left: 36px;
    position: absolute;
    opacity: 0;
    visibility: hidden;
    font-weight: bold;
}

.sidebar-container ul li:hover {
    width: 110px !important;
    box-shadow: 0 2px 10px -1px rgba(0, 0, 0, .1);
}

.sidebar-container ul li:hover span {
    visibility: visible;
    opacity: 1;
    transition-delay: 90ms;
}

.sidebar-container ul li:hover i {
    opacity: 1;
}

.sidebar-container ul li:hover i.fa-sun {
    animation: rotateSun 3s linear infinite;
}

@keyframes rotateSun {
    to {
        transform: rotate(360deg);
    }
}

.sidebar-container ul li:hover i.fa-moon {
    animation: rotateMoon 2s linear infinite;
}

@keyframes rotateMoon {
    0% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(-45deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.sidebar-container ul li:hover i.fa-th {
    animation: rotateTh 1s linear infinite;
}

@keyframes rotateTh {
    0% {
        transform: perspective(400px) rotateY(0);
    }
    100% {
        transform: perspective(400px) rotateY(180deg);
    }
}

.sidebar-container ul li:hover i.fa-list-ul {
    animation: rotateList 1s linear infinite;
}

@keyframes rotateList {
    0% {
        transform: perspective(400px) rotateY(0);
    }
    100% {
        transform: perspective(400px) rotateY(-180deg);
    }
}

header {
    background-color: #2f405a;
    top: 0;
    position: sticky;
    z-index: 999999;
}

.nav-bar {
    display: grid;
    align-items: center;
    grid-template-columns: 1fr 3fr;
    grid-template-rows: auto 1fr;
    background-color: #2f405a;
    padding: .8em 0;
    width: 100%;
    width: calc(100vw - 4em);
    max-width: 1400px;
    margin: 0 auto;
}

@media (max-width: 900px) {
    .nav-bar {
        width: calc(100vw - 3em);
    }
}

@media (max-width: 500px) {
    .nav-bar {
        width: calc(100vw - 2em);
        grid-template-columns: auto 3fr;
    }
}

.nav-bar .logo {
    color: #f2f2f2;
    font-size: 1.2em;
    display: flex;
    align-items: center;
}

.nav-bar .logo a + a {
    margin-left: 1.2em;
}

.nav-bar a {
    color: #f2f2f2;
}

.nav-bar li:last-child {
    background-color: #07090d;
}

.icon-container {
    justify-self: end;
    display: none;
}

.icon-container .col {
    display: block;
    float: left;
    margin: 1% 0 1% 1.6%;
}

.icon-container .col:first-of-type {
    margin-left: 0;
}

.icon-container .cf:before, .icon-container .cf:after {
    content: " ";
    display: table;
}

.icon-container .cf:after {
    clear: both;
}

.icon-container .cf {
    *zoom: 1;
}

.icon-container .three {
    color: #ecf0f1;
    text-align: center;
}

.icon-container .hamburger .line {
    width: 50px;
    height: 5px;
    background-color: #ecf0f1;
    display: block;
    margin: 8px auto;
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.icon-container .hamburger:hover {
    cursor: pointer;
}

.icon-container #hamburger-icon.is-active {
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    -webkit-transition-delay: .6s;
    -o-transition-delay: .6s;
    transition-delay: .6s;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

.icon-container #hamburger-icon.is-active .line:nth-child(2) {
    width: 0px;
}

.icon-container #hamburger-icon.is-active .line:nth-child(1), .icon-container #hamburger-icon.is-active .line:nth-child(3) {
    -webkit-transition-delay: .3s;
    -o-transition-delay: .3s;
    transition-delay: .3s;
}

.icon-container #hamburger-icon.is-active .line:nth-child(1) {
    -webkit-transform: translateY(13px);
    -ms-transform: translateY(13px);
    -o-transform: translateY(13px);
    transform: translateY(13px);
}

.icon-container #hamburger-icon.is-active .line:nth-child(3) {
    -webkit-transform: translateY(-13px) rotate(90deg);
    -ms-transform: translateY(-13px) rotate(90deg);
    -o-transform: translateY(-13px) rotate(90deg);
    transform: translateY(-13px) rotate(90deg);
}

.nav-menu {
    justify-self: end;
}

.nav-menu li {
    display: inline-block;
    border-radius: .5rem;
}

.nav-menu li a {
    display: block;
    padding: .8em 1.6em;
}

@media screen and (max-width: 500px) {
    .icon-container {
        display: flex;
        transform: scale(0.8);
    }

    .nav-menu {
        grid-column: 1/-1;
        justify-self: stretch;
    }

    .nav-menu ul {
        display: none;
    }

    .nav-menu.active {
        grid-column: 1/-1;
    }

    .nav-menu li {
        width: 100%;
        border-bottom: 1px solid rgba(255, 255, 255, .3);
    }

    .nav-menu li:last-child {
        border: none;
        text-align: center;
    }

    .nav-menu li a {
        padding: 1em;
        font-weight: bold;
    }
}

@media screen and (min-width: 500px) {
    .nav-menu ul {
        display: block !important;
    }
}

body[data-gridlist=grid] .monitor-container {
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr;
}

@media (max-width: 1250px) {
    body[data-gridlist=grid] .monitor-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 900px) {
    body[data-gridlist=grid] .monitor-container {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 500px) {
    body[data-gridlist=grid] .monitor-container {
        grid-gap: 1em;
        grid-row-gap: 3em;
    }
}

body[data-gridlist=grid] .monitor-info-container {
    grid-template-areas: "status name name uptime" "corner corner corner corner";
    grid-row-gap: .8em;
}

@media (max-width: 500px) {
    body[data-gridlist=grid] .monitor-info-container {
        grid-template-areas: "name name name name" "status status uptime uptime" "corner corner corner corner";
        grid-template-columns: 1fr 1fr;
        grid-row-gap: .3em;
    }
}

@media (max-width: 500px) {
    body[data-gridlist=grid] .monitor-info-container .monitor-name {
        padding: 0;
    }
}

body[data-gridlist=grid] .corner-container {
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(5, 1fr);
    grid-gap: 1em;
}

@media (max-width: 1250px) {
    body[data-gridlist=grid] .corner-container {
        grid-gap: .9em;
    }
}

@media (max-width: 900px) {
    body[data-gridlist=grid] .corner-container {
        grid-gap: 1em;
    }
}

@media (max-width: 500px) {
    body[data-gridlist=grid] .corner-container {
        grid-gap: .6em;
    }
}

*, *::before, *::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    text-decoration: none;
}

body {
    font-family: Comic Sans MS, Microsoft JhengHei, Microsoft Yahei, Avenir, Segoe UI, Hiragino Sans GB, STHeiti, Microsoft Sans Serif, WenQuanYi Micro Hei, sans-serif;
    overflow-x: hidden;
    background-color: #e5e5e5;
}

article {
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100vh;
    grid-template-columns: 100%;
}

main {
    display: grid;
    grid-template-columns: 1fr;
    width: 100%;
    width: calc(100vw - 6em);
    max-width: 1400px;
    margin: 2em auto 4em;
    align-content: start;
}

@media (max-width: 1250px) {
    main {
        width: calc(100vw - 4em);
    }
}

@media (max-width: 900px) {
    main {
        width: calc(100vw - 3em);
    }
}

@media (max-width: 500px) {
    main {
        width: calc(100vw - 2em);
    }
}

.monitor-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    font-size: 1.6em;
    color: #2f2f2f;
    padding-bottom: 1.5em;
    line-height: 1.5em;
}

@media (max-width: 500px) {
    .monitor-header {
        font-size: 1.3em;
    }
}

.monitor-header h4 {
    font-size: 1.1rem;
    color: #737373;
}

.monitor-container {
    display: grid;
    grid-gap: 2.5em;
}

@media (max-width: 500px) {
    .monitor-container {
        grid-gap: 3em;
    }
}

.monitor-info-container {
    display: grid;
    grid-template-areas: "status name corner uptime";
    grid-template-columns: auto 1fr 10fr 1fr;
    grid-template-rows: auto;
    align-items: center;
    padding: .6em .5em;
    background-color: #f1f1f2;
    border-radius: 5px;
    border: 1px solid #d9d9d9;
    box-shadow: 0 1px 3px rgba(0, 0, 0, .12), 0 1px 3px rgba(0, 0, 0, .24);
}

@media (max-width: 1250px) {
    .monitor-info-container {
        grid-template-areas: "status name name uptime" "corner corner corner corner";
    }
}

@media (max-width: 500px) {
    .monitor-info-container {
        grid-row-gap: .6em;
    }
}

.monitor-info-container .monitor-state {
    grid-area: status;
    padding: .5em;
}

.monitor-info-container .monitor-name {
    grid-area: name;
    padding: .5em;
    justify-self: center;
    word-break: keep-all;
    font-weight: bold;
}

.monitor-info-container .monitor-uptime {
    grid-area: uptime;
    padding: .5em;
    justify-self: center;
}

.monitor-info-container .corner-container {
    grid-area: corner;
}

.monitor-info-container .monitor-state-text {
    padding-left: .5em;
    word-break: keep-all;
}

.monitor-info-container .monitor-state-dot {
    width: 13px;
    height: 13px;
    display: inline-block;
    border-radius: 50%;
    color: #53b449;
    background: #53b449;
    position: relative;
    -ms-transform: none;
    transform: none;
}

@media (max-width: 500px) {
    .monitor-info-container .monitor-state-dot {
        width: 11px;
        height: 11px;
    }
}

.monitor-info-container .monitor-state-dot.warning {
    color: #fbb142;
    background: #fbb142;
}

.monitor-info-container .monitor-state-dot.danger {
    color: #ef4b4c;
    background: #ef4b4c;
}

.monitor-info-container .monitor-state-dot:after {
    content: "";
    opacity: 1;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #53b449;
    border-radius: 50%;
    animation: dotwave 1.5s infinite;
}

.monitor-info-container .monitor-state-dot:before {
    content: "";
    width: 100%;
    height: 100%;
    opacity: .2;
    border-radius: 50%;
    position: absolute;
    top: 0;
    left: 0;
    background: #53b449;
    animation: dotwave 2.5s infinite;
    z-index: 3;
}

.monitor-info-container .monitor-state-dot.warning:after, .monitor-info-container .monitor-state-dot.warning:before {
    background: #fbb142;
}

.monitor-info-container .monitor-state-dot.danger:after, .monitor-info-container .monitor-state-dot.danger:before {
    background: #ef4b4c;
}

@keyframes dotwave {
    0% {
        opacity: .6;
    }
    70% {
        opacity: 0;
        transform: scale(2.5);
    }
    100% {
        opacity: .1;
    }
}

.corner-container {
    display: grid;
    grid-template-columns: repeat(30, 1fr);
    grid-template-rows: 1fr;
    grid-gap: .5em;
    padding: .5em;
    justify-content: space-around;
}

@media (max-width: 900px) {
    .corner-container {
        grid-template-columns: repeat(15, 1fr);
        grid-template-rows: 1fr 1fr;
        grid-gap: .8em;
    }
}

@media (max-width: 500px) {
    .corner-container {
        grid-gap: .4em;
        padding: 0;
    }
}

.corner-container .corner {
    background-color: #d3d3d3;
    cursor: pointer;
    position: relative;
    border-radius: 5px;
}

.corner-container .corner.good {
    background-color: #53b449;
}

.corner-container .corner.warning {
    background-color: #fbb142;
}

.corner-container .corner.danger {
    background-color: #ef4b4c;
}

.corner-container .corner:hover {
    background-color: gray;
    box-shadow: 0 1px 3px rgba(0, 0, 0, .12), 0 1px 3px rgba(0, 0, 0, .24);
}

.corner-container .corner:before {
    content: "";
    float: left;
    padding-top: 100%;
}

.corner-container .corner:hover .sub-content {
    display: flex;
    flex-direction: column;
    position: fixed;
}

.sub-content {
    display: none;
    color: #f2f2f2;
    background-color: #2a3950;
    padding: .3em 1em;
    z-index: 999;
    position: relative;
    z-index: 10;
    transform-origin: 50% 100%;
    transform-origin: bottom right 2cm;
    transition: all ease-in-out 200ms;
    border-radius: 6px;
    line-height: 1.2em;
}

.sub-content::after {
    content: "";
    width: 0;
    height: 0;
    display: block;
    position: absolute;
    z-index: 10;
    border: 0;
    border-left: .5em solid transparent;
    border-right: .5em solid transparent;
    margin-left: -0.5em;
    left: 50%;
    border-top: .5em solid #2a3950;
    bottom: -0.5em;
}

@media (max-width: 500px) {
    .sub-content {
        position: relative;
        z-index: 10;
    }

    .sub-content::after {
        content: "";
        width: 0;
        height: 0;
        display: block;
        position: absolute;
        z-index: 10;
        border: 0;
        border-left: .5em solid transparent;
        border-right: .5em solid transparent;
        margin-left: -0.5em;
        left: 50%;
        border-bottom: .5em solid #2a3950;
        top: -0.5em;
    }
}

.sub-content li {
    list-style: none;
}

.sub-content li:first-child {
    color: #a6a6a6;
    font-size: .8em;
    letter-spacing: 1px;
}

.sub-content li:nth-child(2) {
    font-size: 1.1em;
    line-height: 1.35em;
}

.sub-content li:last-child {
    color: #bfbfbf;
    font-size: .8em;
}

@media (max-width: 500px) {
    .service-mobile-toggle.smt-active ul li:first-child {
        z-index: 10;
        position: fixed;
        bottom: 80px;
        right: 30px;
        transform: rotate(495deg);
    }

    .service-mobile-toggle.smt-active ul li:nth-child(2) {
        z-index: 4;
        position: fixed;
        bottom: 80px;
        right: 85px;
        transform: scale(1);
        transition-delay: .05s;
        transform: rotate(180deg);
    }

    .service-mobile-toggle.smt-active ul li:last-child {
        z-index: 3;
        position: fixed;
        bottom: 80px;
        right: 140px;
        transform: scale(1);
        transition-delay: .1s;
        transform: rotate(180deg);
    }
}

.service-mobile-toggle {
    display: none;
    z-index: 9999999;
}

@media (max-width: 500px) {
    .service-mobile-toggle {
        display: flex;
        z-index: 999;
        justify-content: center;
        align-items: center;
        width: 45px;
        height: 45px;
        position: fixed;
        bottom: 80px;
        right: 30px;
        transition: all 400ms cubic-bezier(0.995, -0.265, 0.855, 0.505);
    }

    .service-mobile-toggle ul li {
        display: flex;
        justify-content: center;
        align-items: center;
        list-style: none;
        border-radius: 50%;
        min-width: 45px;
        min-height: 45px;
        cursor: pointer;
        transition: all 400ms cubic-bezier(0.995, -0.265, 0.855, 0.505) !important;
    }

    .service-mobile-toggle ul li:first-child {
        z-index: 5;
        position: fixed;
        bottom: 80px;
        right: 30px;
        background-color: #02a898;
    }

    .service-mobile-toggle ul li:nth-child(2) {
        z-index: 4;
        position: fixed;
        bottom: 80px;
        right: 30px;
        transform: scale(0);
        background-color: #fbb142;
    }

    .service-mobile-toggle ul li:last-child {
        z-index: 3;
        position: fixed;
        bottom: 80px;
        right: 30px;
        transform: scale(0);
        background-color: #626262;
    }

    .service-mobile-toggle .switcher {
        user-select: none;
        cursor: pointer;
        padding: .48em;
    }

    .service-mobile-toggle .switcher input[type=checkbox] {
        height: 0;
        width: 0;
        display: none;
    }

    .service-mobile-toggle .switcher input[type=checkbox]:checked + div {
        transform: rotate(-900deg);
    }

    .service-mobile-toggle .switcher input[type=checkbox][name=service-grid]:checked + div {
        transform: rotate(-630deg);
    }

    .service-mobile-toggle .fa-plus, .service-mobile-toggle .fa-grip-horizontal, .service-mobile-toggle .fa-adjust {
        font-size: 1.8em;
        color: #f2f2f2;
        transform: rotate(-900deg);
    }
}